body, html {
	height: 100%;
}
body {
	background: url(bg.png) #e8e8e8 no-repeat top center;
	background-size: 100% auto;
}




/**
 *
 *  HEADER
 *
 **/

#header .navbar-default {
	background: white;
	border: 0;
	border-radius: 0;
	box-shadow: 0 1px 2px rgba(0, 0, 0, .2);
	margin: 0;
	padding-top: 20px;
}

/* logo */
#header .navbar-brand {
	height: auto;
	padding-bottom: 20px;
}
#header .navbar-brand .logo-ias {
	bottom: -5px;
	margin-left: 15px;
	position: relative;
}




/**
 *
 *  NAV
 *
 **/

#nav .navbar-nav { margin-top: 60px; }
#nav .navbar-right { margin-right: 0; }
#nav a { padding-bottom: 10px; }
#nav li.active a {
	background: none;
	border-bottom: solid 2px #bf2269;
}




/**
 *
 *  CONTENT
 *
 **/

hr {
	border-color: #bf2269;
	border-width: 2px;
}

table { background: white; }
table th {
	border: none !important;
	border-bottom: solid 2px #bf2269 !important;
}
table:not(.table-condensed) th,
table:not(.table-condensed) td { padding: 10px 20px !important; }

.table-responsive {
	background: white;
	padding-bottom: 0;
	margin-bottom: 2em;
}
.table-responsive > table { margin: 0; }

.panel {
	border: 0;
	border-radius: 0;
	box-shadow: 0 1px 2px rgba(0, 0, 0, .2);
}
.panel-heading { padding-bottom: 0; }
.panel-heading > hr { margin-bottom: .5em; }

.thumbnail { padding: 2px; }

.text-primary { color: #28398f; }

blockquote {
	font-size: 1em;
	padding-top: 5px;
	padding-bottom: 10px;
}

/* content height */
#content {
	min-height: calc(100% - 120px - 82px);  /* header-height footer-height */
	padding: 1.5em 0 3.5em 0;
}

/* info page */
#info-route ol { list-style-type: lower-roman; }
#info-route ol > li { margin-bottom: 1em; }
.route-detail { min-height: 360px; }

/* speaker page */
#speaker-list .speaker-type {
	color: #666;
	margin-top: 2em;
}
.speaker-biography blockquote { margin-bottom: 0; }




/**
 *
 *  FOOTER
 *
 **/

#footer {
	background: #28398f;
	box-shadow: inset 0 2px 10px 0 rgba(0, 0, 0, .5);
	padding: 1.5em 0;
}
#footer,
#footer a { color: white; }

/* links */
#footer-nav .btn { position: relative; }
#footer-nav .btn:not(:first-child)::before {
	border: solid 1.5px white;
	content: '';
	display: block;
	position: absolute;
	left: -.2em;
	top: 1.1em;
}




/**
 *
 *  OTHERS
 *
 **/

#back2top {
	background-color: #333;
	bottom: 0;
	color: white;
	cursor: pointer;
	font-size: 24px;
	height: 30px;
	line-height: 24px;
	margin: 0;
	opacity: 0;
	overflow: hidden;
	padding: 2px 4px;
	position: fixed;
	right: 10px;
	width: 30px;
	z-index: 9999;
	-webkit-transition: opacity .5s;
	    -ms-transition: opacity .5s;
	        transition: opacity .5s;
}
#back2top.affix { opacity: .8; }
#back2top:hover { opacity:  1; }




/**
 *
 *  MOBILE LAYOUT
 *
 **/

@media (max-width: 767px) {

	/* header */
	#header .navbar-default { padding-top: 0; }
	#header .navbar-brand { padding: 5px 0 5px 10px; }
	#header .navbar-brand .logo-cityu img { height: 40px; }
	#header .navbar-brand .logo-ias img { height: 30px; }
	#header .navbar-brand .logo-cityu { position: relative; top: 2px; }
	#header .navbar-brand .logo-ias { bottom: 0; margin-left: 5px; position: relative; top: 3px; }

	/* nav */
	#nav .navbar-nav { margin-bottom: 0; margin-top: 0; }
	#nav .navbar-right { margin-right: -1em; }
	#nav li a { border-left: solid 4px white; }
	#nav li.active a { border-bottom: none; border-left: solid 4px #bf2269; }

	/* content */
	#content { min-height: calc(100% - 56px - 149px); padding: 1.5em 0; }
	.btn-biography { margin: 1em 0 0 .5em; }
	.speaker-biography,
	.speaker-biography * { font-size: 1em; }
	.panel-body > .container-fluid { padding: 0; }
	.route-detail { min-height: 0; }

	/* footer */
	#footer { text-align: center; }
	#footer-nav { margin-top: 1em; }

	/* others */
	#back2top { display: none; }

}